Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 62fbfe373482820350c8e84812c1d5cb27c23f6c)
+++ cpukit/ChangeLog	(revision 3f727f980e3bb631e8d55834a0a79701c3b7aa8a)
@@ -1,2 +1,8 @@
+2009-09-26	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* libmisc/capture/capture.c, posix/src/pthread.c, rtems/src/tasks.c,
+	score/include/rtems/score/userext.h: Eliminate use of deprecated
+	rtems_extension. Re-add prototype for _User_extensions_Add_API_set.
+
 2009-09-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/libmisc/capture/capture.c
===================================================================
--- cpukit/libmisc/capture/capture.c	(revision 62fbfe373482820350c8e84812c1d5cb27c23f6c)
+++ cpukit/libmisc/capture/capture.c	(revision 3f727f980e3bb631e8d55834a0a79701c3b7aa8a)
@@ -8,5 +8,5 @@
   Chris Johns (ccj@acm.org)
 
-  COPYRIGHT (c) 1989-2008.
+  COPYRIGHT (c) 1989-2009.
   On-Line Applications Research Corporation (OAR).
 
@@ -688,5 +688,5 @@
  *
  */
-static rtems_extension
+static void
 rtems_capture_start_task (rtems_tcb* current_task,
                           rtems_tcb* started_task)
@@ -730,5 +730,5 @@
  *
  */
-static rtems_extension
+static void
 rtems_capture_restart_task (rtems_tcb* current_task,
                             rtems_tcb* restarted_task)
@@ -773,5 +773,5 @@
  *
  */
-static rtems_extension
+static void
 rtems_capture_delete_task (rtems_tcb* current_task,
                            rtems_tcb* deleted_task)
@@ -823,5 +823,5 @@
  *
  */
-static rtems_extension
+static void
 rtems_capture_begin_task (rtems_tcb* begin_task)
 {
@@ -855,5 +855,5 @@
  *
  */
-static rtems_extension
+static void
 rtems_capture_exitted_task (rtems_tcb* exitted_task)
 {
@@ -888,5 +888,5 @@
  *
  */
-static rtems_extension
+static void
 rtems_capture_switch_task (rtems_tcb* current_task,
                            rtems_tcb* heir_task)
Index: cpukit/posix/src/pthread.c
===================================================================
--- cpukit/posix/src/pthread.c	(revision 62fbfe373482820350c8e84812c1d5cb27c23f6c)
+++ cpukit/posix/src/pthread.c	(revision 3f727f980e3bb631e8d55834a0a79701c3b7aa8a)
@@ -229,5 +229,5 @@
  *  This method is invoked for each thread deleted.
  */
-User_extensions_routine _POSIX_Threads_Delete_extension(
+void _POSIX_Threads_Delete_extension(
   Thread_Control *executing __attribute__((unused)),
   Thread_Control *deleted
@@ -271,5 +271,5 @@
  *  This method is invoked each time a thread exits.
  */
-User_extensions_routine _POSIX_Threads_Exitted_extension(
+void _POSIX_Threads_Exitted_extension(
   Thread_Control *executing
 )
Index: cpukit/rtems/src/tasks.c
===================================================================
--- cpukit/rtems/src/tasks.c	(revision 62fbfe373482820350c8e84812c1d5cb27c23f6c)
+++ cpukit/rtems/src/tasks.c	(revision 3f727f980e3bb631e8d55834a0a79701c3b7aa8a)
@@ -2,5 +2,5 @@
  *  RTEMS Task Manager -- Initialize Manager
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -89,5 +89,5 @@
  */
 
-User_extensions_routine _RTEMS_tasks_Start_extension(
+void _RTEMS_tasks_Start_extension(
   Thread_Control *executing,
   Thread_Control *started
@@ -108,5 +108,5 @@
  */
 
-User_extensions_routine _RTEMS_tasks_Delete_extension(
+void _RTEMS_tasks_Delete_extension(
   Thread_Control *executing,
   Thread_Control *deleted
Index: cpukit/score/include/rtems/score/userext.h
===================================================================
--- cpukit/score/include/rtems/score/userext.h	(revision 62fbfe373482820350c8e84812c1d5cb27c23f6c)
+++ cpukit/score/include/rtems/score/userext.h	(revision 3f727f980e3bb631e8d55834a0a79701c3b7aa8a)
@@ -8,5 +8,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -247,4 +247,14 @@
 );
 
+/** @brief User extensions Add to API extension set
+ *
+ *  This routine is used to add an API extension set to the active list.
+ *
+ *  @param[in] the_extension is the extension set to add
+ */
+void _User_extensions_Add_API_set (
+  User_extensions_Control *the_extension
+);
+
 RTEMS_INLINE_ROUTINE void _User_extensions_Add_set_with_table(
   User_extensions_Control *extension,
